BodyPartition (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface BodyPartition

- All Superinterfaces:
    Cloneable, EssencePartition, Partition
  All Known Implementing Classes:
    BodyPartitionImpl

      public interface BodyPartition
      extends Cloneable, EssencePartition

  Represents a body partition of an MXF file, providing access to its constituent parts. A body partition may contain header metadata, an index table segment and part or all of a body stream. A sequence of body partitions make up the middle of an MXF file, between the mandatory header partition at the start and optional footer partition at the end.

  See Also:
    `HeaderPartition`, `FooterPartition`

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.io.mxf.Partition

      `SIZE_UNKNOWN`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BodyPartition` | `clone()` Create a cloned copy of this body partition.
    `BodyPartitionPack` | `getPartitionPack()` Returns the body partition pack that describes the details of this body partition, including what it contains and its size.
    `void` | `setPartitionPack(BodyPartitionPack partitionPack)` Set the body partition pack that describes this body partition, including what it contains and its size.

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.EssencePartition

      `fillToEnd, getEssenceContainer, initializeWritingBody, readEssenceElement, writeEssenceBlock, writeEssenceElementHeader, writeEssenceElementHeader`

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.Partition

      `getActualSize, getInitialSize, hasEssenceContainer, hasHeaderMetadata, hasIndexTable, readHeaderMetadata, readIndexTableSegment, setInitialDataSize, setPartitionPackPadding, updateSizes, writeHeaderMetadata, writeIndexTableSegment, writeSingleIndexSegment`

- - ### Method Detail

    - #### getPartitionPack

          BodyPartitionPack getPartitionPack()

      Returns the body partition pack that describes the details of this body partition, including what it contains and its size.

      Specified by:
        `getPartitionPack` in interface `Partition`
      Returns:
        Body partition pack describing this body partition.
      See Also:
        `HeaderPartition.getPartitionPack()`, `FooterPartition.getPartitionPack()`, `getPartitionPack()`

    - #### setPartitionPack

          void setPartitionPack(BodyPartitionPack partitionPack)
                         throws NullPointerException

      Set the body partition pack that describes this body partition, including what it contains and its size.

      Parameters:
        `partitionPack` - Body partition pack describing this body partition.
      Throws:
        `NullPointerException` - Cannot set the body partition pack with a `null` value.

    - #### clone

          BodyPartition clone()

      Create a cloned copy of this body partition.

      Specified by:
        `clone` in interface `EssencePartition`
      Specified by:
        `clone` in interface `Partition`
      Returns:
        Cloned copy of this body partition.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.